# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-16 21:16
from __future__ import unicode_literals

from django.db import migrations, models
import django.utils.timezone
import django_fsm
import jsonfield.fields
import knpay_plugin.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PaymentTransaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now=True, verbose_name='Created')),
                ('status', django_fsm.FSMField(choices=[('created', 'Created'), ('canceled', 'Canceled'), ('paid', 'Paid')], db_index=True, default='created', max_length=50, protected=True, verbose_name='Status')),
                ('gateway_code', models.CharField(db_index=True, default='', max_length=16, verbose_name='Gateway code')),
                ('amount', models.CharField(max_length=24, verbose_name='Amount')),
                ('language', models.CharField(choices=[('en', 'English'), ('ar', 'Arabic')], default='en', max_length=2, verbose_name='Language')),
                ('currency_code', models.CharField(max_length=3, verbose_name='Currency code')),
                ('order_no', models.CharField(db_index=True, max_length=128, unique=True, verbose_name='Order no')),
                ('customer_first_name', models.CharField(blank=True, default='', max_length=64, verbose_name='Customer first name')),
                ('customer_last_name', models.CharField(blank=True, default='', max_length=64, verbose_name='Customer last name')),
                ('customer_email', models.CharField(blank=True, default='', max_length=128, verbose_name='Customer email')),
                ('customer_phone', models.CharField(blank=True, default='', max_length=16, verbose_name='Customer phone')),
                ('customer_address_line1', models.TextField(blank=True, default='', verbose_name='Customer address line 1')),
                ('customer_address_line2', models.TextField(blank=True, default='', verbose_name='Customer address line 2')),
                ('customer_address_city', models.CharField(blank=True, default='', max_length=40, verbose_name='Customer address city')),
                ('customer_address_state', models.CharField(blank=True, default='', max_length=40, verbose_name='Customer address state')),
                ('customer_address_country', models.CharField(blank=True, default='', max_length=40, verbose_name='Customer address country')),
                ('customer_address_postal_code', models.CharField(blank=True, default='', max_length=12, verbose_name='Customer address postal code')),
                ('extra', jsonfield.fields.JSONField(blank=True, default={}, verbose_name='Extra')),
                ('knpay_response', jsonfield.fields.JSONField(blank=True, default={}, verbose_name='KNPay response')),
                ('status_changed_at', knpay_plugin.fields.MonitorField(default=django.utils.timezone.now, monitor='status')),
                ('is_consumed', models.BooleanField(default=False, help_text='Designates if knpay response was processed or not', verbose_name='Is consumed?')),
            ],
            options={
                'ordering': ('-created',),
                'verbose_name': 'Payment Transaction',
                'verbose_name_plural': 'Payment Transactions',
            },
        ),
    ]
